echo "Start mesh"

echo "Copy of controlDict_mesh"
cp -r system/controlDict_mesh system/controlDict

echo "blockMesh"
$runApplication blockMesh > log.blockMesh

echo "surfaceFeatureExtract"
$runApplication surfaceFeatureExtract -includedAngle 150 -writeObj constant/triSurface/wall_m.stl wall_m

echo "decomposePar"
cp -r system/decomposeParDict_1 system/decomposeParDict
$runApplication decomposePar > log.decomposePar_1

echo "Copy data"
cp -r constant/triSurface/ processor0/constant/
cp -r constant/triSurface/ processor1/constant/
cp -r constant/triSurface/ processor2/constant/
cp -r constant/triSurface/ processor3/constant/

echo "snappyHexMesh 4CPU"
cp -r system/snappyHexMeshDict_1 system/snappyHexMeshDict
$runApplication mpirun -np 4 snappyHexMesh -parallel > log.snappyHexMesh

echo "reconstructParMesh"
$runApplication reconstructParMesh -time 3 -mergeTol 1e-6 > log.reconstructParMesh

echo "checkMesh"
$runApplication checkMesh > log.checkMesh

echo "renumberMesh"
$runApplication renumberMesh -time 3 > log.renumberMesh

echo "rename holder name"
mv constant/polyMesh constant/polyMesh_blockMesh

echo "set data"
mv 3/polyMesh constant
rm -r 1
rm -r 2
rm -r 3
rm -r 4
rm -r processor0
rm -r processor1
rm -r processor2
rm -r processor3

echo "End of mesh"







